# Option Chain Info

`WS` `request · cmd 21`

This API is used to obtain a list of option securities by the option chain expiry date.

```protobuf
message OptionChainDateStrikeInfoRequest {
  string symbol = 1;
  string expiry_date = 2;
}

message OptionChainDateStrikeInfoResponse {
  repeated StrikePriceInfo strike_price_info = 1;
}
```

## Request Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security code, in ticker.region format, for example: 700.HK |
| `expiry_date` | string | Yes | Option expiry date, in YYMMDD format, for example: 20220429, obtained by Option Expiry Date API |

## Response Fields

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `strike_price_info` | object[] | No | Option security info |
| `└ price` | string | No | Strike price |
| `└ call_symbol` | string | No | Security code of call option |
| `└ put_symbol` | string | No | Security code of put option |
| `└ standard` | bool | No | Is standard |

## Response JSON Example

```json
{
  "strike_price_info": [
    {
      "price": "100",
      "call_symbol": "AAPL220429C100000.US",
      "put_symbol": "AAPL220429P100000.US",
      "standard": true
    }
  ]
}
```
